#import <Foundation/Foundation.h>

#if SUCK
typedef struct BWFileStruct {
    NSString	*fullPath;
    NSString	*fileName;
    int		 fileSize;
} BWFileStruct;
#endif

@interface BWFileEntry : NSObject
{
    NSString	*root;
    NSString	*relativePath;
    NSString	*fileName;
    int		 fileSize;
}

+ (BWFileEntry *) newEntryWithPath: (NSString *) path  basedAt: (NSString *) at;

- (id) initWithRoot: (NSString *) r  relativePath: (NSString *) rpath
	fileName: (NSString *) name  fileSize: (int) size;
- (NSString *) fullPath;
- (NSString *) fileName;
- (int) fileSize;

- (NSComparisonResult) compareByName: (BWFileEntry *) thing2;

@end // BWFileEntry


@interface BWFileList : NSObject
{
    NSString		*basePath;
    NSMutableArray	*fileList;
}

+ (BWFileList *) loadFromDirectory: (NSString *) pathName  deeply: (BOOL) deep;

- (int) count;
- (BWFileEntry *) getFileAt: (int) index;
- (void) removeFileAt: (int) index;
- (void) sortByFileName;

- (id) initWithBasePath: (NSString *) base relativeFileList: (NSArray *) list;

@end // BWFileList


